All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
common.hpp File Reference
`#include "viennacl/ocl/device_utils.hpp"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/device_specific/forwards.h"`

Go to the source code of this file.

## Classes

class | viennacl::device_specific::builtin_database::database_type< ParamT >
struct | viennacl::device_specific::builtin_database::database_type< ParamT >::expression_t
struct | viennacl::device_specific::builtin_database::database_type< ParamT >::device_name_t
struct | viennacl::device_specific::builtin_database::database_type< ParamT >::device_architecture_t
struct | viennacl::device_specific::builtin_database::database_type< ParamT >::device_type_t
struct | viennacl::device_specific::builtin_database::database_type< ParamT >::type

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.
| viennacl::device_specific::builtin_database

## Functions

template<typename StringT >
StringT | viennacl::device_specific::builtin_database::get_mapped_device_name (StringT const &device_name, vendor_id_type vendor_id)
template<class NumericT , class ParamT >
ParamT const & | viennacl::device_specific::builtin_database::get_parameters (database_type< ParamT > const &database, viennacl::ocl::device const &device)
| Get the profile for a device and a descriptor. More...

## Detailed Description

Common routines such as device lookup for the built-in device database.

Definition in file common.hpp.